Package org.eclipse.emf.cdo.view

# Interface CDOViewRegistry

All Superinterfaces:
  `org.eclipse.net4j.util.container.IContainer<CDOViewRegistry.Registration>`, `org.eclipse.net4j.util.event.INotifier`

public interface CDOViewRegistry extends org.eclipse.net4j.util.container.IContainer<CDOViewRegistry.Registration>
A global registry of all open `views` and `transactions`.

Since:
  4.2
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`CDOViewRegistry.Registration`
A bidirectional mapping between a registered `view` and its `ID`.

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E>, org.eclipse.net4j.util.container.IContainer.Persistable<E>, org.eclipse.net4j.util.container.IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDOViewRegistry`
`INSTANCE`
The singleton instance of the `view registry`.
`static final int`
`NOT_REGISTERED`
A symbolic constant returned from `getID(CDOView)` if the view is not registered.

## Method Summary

Modifier and Type
Method
Description
`int`
`getID(CDOView view)`
Returns the `ID` of the given `view` if it is registered, 0 otherwise.
`int[]`
`getIDs()`
Returns the `IDs` of all registered `views`.
`CDOView`
`getView(int id)`
Returns the `view` with the given `ID` if it is registered, `null` otherwise.
`CDOView[]`
`getViews()`
Returns all registered `views`.

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Field Details

### INSTANCE

static final CDOViewRegistry INSTANCE
The singleton instance of the `view registry`.

### NOT_REGISTERED

static final int NOT_REGISTERED
A symbolic constant returned from `getID(CDOView)` if the view is not registered.

See Also:
  - Constant Field Values

## Method Details

### getIDs

int[] getIDs()
Returns the `IDs` of all registered `views`.

### getViews

CDOView[] getViews()
Returns all registered `views`.

### getID

int getID(CDOView view)
Returns the `ID` of the given `view` if it is registered, 0 otherwise.

### getView

CDOView getView(int id)
Returns the `view` with the given `ID` if it is registered, `null` otherwise.